Compare commits

...

3 Commits

Author SHA1 Message Date
0335944118 Proper fillet 2023-03-31 10:10:18 -03:00
80a027b8f1 Move keyboard up 2mm 2023-03-31 09:59:20 -03:00
222240c259 Adjust hole position 2023-03-31 09:58:38 -03:00
5 changed files with 5 additions and 5 deletions

View File

@ -12,7 +12,7 @@ holes = [
{ {
"x": 0, "x": 0,
"y": 4, "y": 4,
"shape": cq.Sketch().trapezoid(17, 5, 90, mode="a").fillet(2), "shape": cq.Sketch().trapezoid(17, 5, 90, mode="a").vertices().fillet(2),
}, },
] ]

View File

@ -81,13 +81,13 @@ vents = hex_vents(size=3, width=width, height=height)
holes = [ holes = [
# Power inlet # Power inlet
{ {
"x": -15, "x": -18,
"y": -1 + pillar_height, "y": -1 + pillar_height,
"shape": cq.Sketch().trapezoid(12, 6.5, 90, mode="a").vertices().fillet(1), "shape": cq.Sketch().trapezoid(12, 6.5, 90, mode="a").vertices().fillet(1),
}, },
# Power button # Power button
{ {
"x": -67, "x": -70,
"y": 5.5 + pillar_height, "y": 5.5 + pillar_height,
"shape": cq.Sketch().trapezoid(7, 7, 90, mode="a").vertices().fillet(1), "shape": cq.Sketch().trapezoid(7, 7, 90, mode="a").vertices().fillet(1),
}, },

View File

@ -4,8 +4,8 @@ import math
# Size of the kbd board # Size of the kbd board
kbd_height = 95.5 kbd_height = 95.5
kbd_width = 305 kbd_width = 305
back_thickness = 17 back_thickness = 19
front_thickness = 10 front_thickness = 12
# Pythagoras # Pythagoras
actual_height = (kbd_height**2 - (back_thickness - front_thickness) ** 2) ** 0.5 actual_height = (kbd_height**2 - (back_thickness - front_thickness) ** 2) ** 0.5

Binary file not shown.

Binary file not shown.